Bug 1418439 - [RFE] Containerized deployment of Swift service
Summary: [RFE] Containerized deployment of Swift service
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: Upstream M2
: 12.0 (Pike)
Assignee: Emilien Macchi
QA Contact: Mike Abrams
URL:
Whiteboard:
Depends On:
Blocks: 1442136 1415556
TreeView+ depends on / blocked
 
Reported: 2017-02-01 20:17 UTC by Sean Cohen
Modified: 2018-02-05 19:04 UTC (History)
13 users (show)

Fixed In Version: openstack-tripleo-heat-templates-7.0.0-0.20170718190543.el7ost openstack-tripleo-common-7.3.1-0.20170718114623.1d79e16.el7ost puppet-tripleo-7.1.1-0.20170719150224.cb66aeb.el7ost puppet-swift-11.2.0-0.20170712084410.759f103.el7ost openstack-swift-2.14.1-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1419556 (view as bug list)
Environment:
Last Closed: 2017-12-13 21:08:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1694211 0 None None None 2017-05-29 08:16:29 UTC
OpenStack gerrit 425434 0 None None None 2017-03-09 14:45:25 UTC
OpenStack gerrit 445998 0 None None None 2017-06-07 07:44:47 UTC
OpenStack gerrit 466255 0 None None None 2017-06-07 07:46:06 UTC
OpenStack gerrit 466419 0 None None None 2017-05-19 22:06:45 UTC
OpenStack gerrit 468790 0 None None None 2017-05-29 08:16:54 UTC
OpenStack gerrit 471369 0 None None None 2017-06-07 07:45:34 UTC
OpenStack gerrit 471370 0 None None None 2017-06-07 07:45:13 UTC
Red Hat Product Errata RHEA-2017:3462 0 normal SHIPPED_LIVE Red Hat OpenStack Platform 12.0 Enhancement Advisory 2018-02-16 01:43:25 UTC

Description Sean Cohen 2017-02-01 20:17:00 UTC
Provide customers more stable, flexible, reliable and faster storage service deployments with more reliable and flexible lifecycle management and possibility to rollback when something goes wrong.

Comment 4 Christian Schwede (cschwede) 2017-05-18 08:31:03 UTC
Moving back to POST; there are a few important parts missing/not working correctly yet.

1. SwiftRawDisks
Not supported yet; the defined disks won't be properly setup & mounted. Additionally this enables the mount_check parameter, which is not working inside a containerized environment the way it is used.

2. Containerized mounts
Swift running inside the container is not able to detect wether a device is mounted or not. While mapping the devices into the container allows correct mount checks, it is not an option because multiple containers need to access the same disk (for example object-server and object-replicator).

3. Ring management
Storing and retrieving the overcloud rings from the undercloud does no longer work. This is essential to keep the rings consistent across the cluster even if nodes are replaced or added later.

There might be a few other things as well; however I'm working on the above topics right now.

Comment 5 Christian Schwede (cschwede) 2017-05-19 22:06:45 UTC
Proposed patch for task #1: https://review.openstack.org/#/c/466419/

Comment 8 Christian Schwede (cschwede) 2017-06-30 06:16:43 UTC
All required upstream patches merged -> POST.

Comment 13 errata-xmlrpc 2017-12-13 21:08:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:3462


Note You need to log in before you can comment on or make changes to this bug.